Subject: Re: DSA with MV88E6321 and imx28

From: Andrew Lunn <[email-masked]>
Date: Thu, 6 Jun 2019 15:59:03 +0200

On Thu, Jun 06, 2019 at 03:47:06PM +0200, Benjamin Beckmeyer wrote:
> 
> On 06.06.19 15:35, Andrew Lunn wrote:
> >> >From our hardware developer I know now that we are using a "mini" SFF 
> >> which has no i2c eeprom. 
> > O.K. Does this mini SFF have LOS, TX-Disable, etc? Are these connected
> > to GPIOs? I assume the SFF is fibre? And it needs the SERDES to speak
> > 1000BaseX, not SGMII?
> 
> Nope, no LOS no tx-disable etc. Yeah, the SFF is fibre. Exactly, it needs 
> SERDES to speak 1000BaseX.

O.K. Then try something like what ZII devel B does:

                                       port@3 {
                                                reg = <3>;
                                                label = "optical3";

                                                fixed-link {
                                                        speed = <1000>;
                                                        full-duplex;
                                                };

What this does not give you is any link monitoring. I don't have the
datasheet of this device, but i assume it has two banks of registers
for the SERDES? And you can get the sync status? Similar to how the
6352 works. But with a fixed link this will be ignored.

> >> Switch				|	external
> >> Port 0 - internal serdes 0x0c --|-------Mini SFF 1x8 Transceiver
> >> 				|
> >> Port 0 - internal serdes 0x0d --|-------Mini SFF 1x8 Transceiver
> >> 				|
> >> Port 2 ----------RGMII----------|-------KSZ9031 PHY 0x02(strap)--Transceiver
> >> 				|
> >> Port 3 - internal PHY 0x03 -----|-------Transceiver
> >> 				|
> >> Port 3 - internal PHY 0x04 -----|-------Transceiver
> >> 				|			
> >> Port 5 - CPU-Port RMII ---------|-------CPU
> >> 				|
> >> Port 6 ----------RGMII----------|-------KSZ9031 PHY 0x06(strap)--Transceiver
> > So the current state is that just the SFF ports are not working? All
> > the copper PHYs are O.K.
> >
> >     Andrew
> >
> The external copper PHYs are still not working properly, but if I set them to
> fixed-link, I see data coming in with I start tcpdump on my device. Just with
> some odd header but I'm not that far with DSA-tags and these stuff.

If you build libpcap & tcpdump from the latest sources, it will
understand these headers.

	Andrew